Package wx :: Class DropSource

[frames | no frames]

## Type DropSource

    object --+
             |
            DropSource

Known Subclasses:
  `FNBDropSource`

Proxy of C++ DropSource class

Method Summary
DropSource | `__init__(self, win, copy, move, none)`
| `__del__(self)`
| ``base_GiveFeedback`(*args, **kwargs)` Please use DropSource.GiveFeedback instead.
int | `DoDragDrop(self, flags)`
DataObject | `GetDataObject(self)`
bool | `GiveFeedback(self, effect)`
| `SetCursor(self, res, cursor)`
| `SetData(self, data)`

Property Summary
| `DataObject`: See `GetDataObject` and `SetData`
| `thisown`: The membership flag

Method Details

### base_GiveFeedback(*args, **kwargs)

Please use DropSource.GiveFeedback instead.

Property Details

### DataObject

See `GetDataObject` and `SetData`

  Get Method:
    `GetDataObject`(self)
  Set Method:
    `SetData`(self, data)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:59 2007 | http://epydoc.sf.net